export interface UserConfig {
    crates: Record<string, string | WasmPackOpts>;
    wasmPack?: string;
}
export interface WasmPackOpts {
    path: string;
    outName: string;
}
export declare class PluginConfig {
    wasmPack: string;
    crates: Record<string, WasmPackOpts>;
    root: string;
    constructor(wasmPack: string, crates: Record<string, WasmPackOpts>, root: string);
    crateForFile(filePath: string): [string, string] | undefined;
    filePathForCrate(crate: string, filePath: string): string | undefined;
    isEntryForCrate(crate: string, filePath: string): boolean;
}
export declare function normalizeConfig(cfg: UserConfig, root: string): PluginConfig;
