"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.createRustRollupPlugin = void 0;
const buildPluginAsset_1 = require("vite/dist/node/build/buildPluginAsset");
const LINE = "input = import.meta.url.replace(/\\.js$/, '_bg.wasm');";
// TODO: Is it possible to get these options from vite?
exports.createRustRollupPlugin = (cfg, publicBase = '/', assetsDir = '_assets', inlineLimit = 4096) => {
    const assets = new Map();
    return {
        name: 'vite:rust',
        async transform(code, id) {
            let crateInfo = cfg.crateForFile(id);
            if (crateInfo) {
                if (cfg.isEntryForCrate(...crateInfo)) {
                    let idx = id.lastIndexOf('.');
                    let wasmId = id.substring(0, idx) + '_bg.wasm';
                    const { fileName, content, url } = await buildPluginAsset_1.resolveAsset(wasmId, cfg.root, publicBase, assetsDir, inlineLimit);
                    if (fileName && content && url) {
                        assets.set(fileName, content);
                        let replLine = `input = '${url}';`;
                        code = code.replace(LINE, replLine);
                        return code;
                    }
                }
            }
            return null;
        },
        generateBundle(_options, bundle) {
            buildPluginAsset_1.registerAssets(assets, bundle);
        },
    };
};
//# sourceMappingURL=rustRollupPlugin.js.map